Subject: bug#11354: 24.1.50; long lines (214 chars!) in files.el

From: Stefan Monnier <[email-masked]>
Date: Thu, 26 Apr 2012 14:30:15 -0400

> Here's the longest line, but there are plenty of others that are also
> far too long:

Checkout the Bzr, ask for write-access, and fix it yourself.
 
> Just chop it:
 
> ("\\`/etc/\\(?:DIR_COLORS\\|ethers\\|.?fstab\\|.*hosts\\|lesskey\\|login\\.?de\
> \\(?:fs\\|vperm\\)\\|magic\\|mtab\\|pam\\.d/.*\\|permissions\\(?:\\.d/.+\\)?\
> \\|protocols\\|rpc\\|services\\)\\'" . conf-space-mode)

I really dislike long lines, but FWIW the above "chopped up" string, is
no better than the auto-wrapped one, really (i.e. while it does stick to
the letter of the 80-column rule, it doesn't help with the underlying
problem).
In order to do better, you need to use `concat', cut it into logical
units, properly indented, ...

        Stefan